Xalan-Java: Class ElemVariable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xslt
Class ElemVariable

    java.lang.Object
      |
      +--org.apache.xalan.xslt.UnImplNode
            |
            +--org.apache.xalan.xslt.ElemTemplateElement
                  |
                  +--org.apache.xalan.xslt.ElemVariable

Direct Known Subclasses:
  ElemParam

public class ElemVariable
extends ElemTemplateElement

**For advanced use only** Implement xsl:variable.

See Also:
  Serialized Form

Field Summary
`boolean` | `m_isTopLevel` **For advanced use only**
`QName` | `m_qname` **For advanced use only**
`XPath` | `m_selectPattern` **For advanced use only**

Fields inherited from class org.apache.xalan.xslt.ElemTemplateElement
`m_columnNumber, m_defaultSpace, m_elemName, m_finishedConstruction, m_lineNumber, m_parentNode, m_stylesheet`

Constructor Summary
`ElemVariable(ElemVariable param)` **For advanced use only** Copy constructor.
`ElemVariable(XSLTEngineImpl processor, Stylesheet stylesheetTree, java.lang.String name, org.xml.sax.AttributeList atts, int lineNumber, int columnNumber)` **For advanced use only**

Method Summary
`void` | `execute(XSLTEngineImpl processor, org.w3c.dom.Node sourceTree, org.w3c.dom.Node sourceNode, QName mode)` **For advanced use only**
`XObject` | `getValue(XSLTEngineImpl processor, org.w3c.dom.Node sourceTree, org.w3c.dom.Node sourceNode)` **For advanced use only** Get the XObject representation of the variable.
`int` | `getXSLToken()` **For advanced use only**

Methods inherited from class org.apache.xalan.xslt.ElemTemplateElement
`appendChild, childrenToString, error, executeChildren, getBaseIdentifier, getChildNodes, getFirstChild, getLastChild, getLength, getNamespaceForPrefix, getNamespaceForPrefix, getNextSibling, getNodeName, getNodeType, getOwnerDocument, getParentNode, getTagName, hasChildNodes, isSpace, isWhiteSpace, item, processLocatedNode`

Methods inherited from class org.apache.xalan.xslt.UnImplNode
`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getElementsByTagName, getElementsByTagNameNS, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getPreviousSibling, hasAttribute, hasAttributeNS, hasAttributes, insertBefore, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, removeChild, replaceChild, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setNodeValue, setPrefix, supports`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_selectPattern

    public XPath m_selectPattern

### m_qname

    public QName m_qname

### m_isTopLevel

    public boolean m_isTopLevel

Constructor Detail

### ElemVariable

    public ElemVariable(ElemVariable param)
                 throws org.xml.sax.SAXException

  **For advanced use only** Copy constructor.

### ElemVariable

    public ElemVariable(XSLTEngineImpl processor,
                        Stylesheet stylesheetTree,
                        java.lang.String name,
                        org.xml.sax.AttributeList atts,
                        int lineNumber,
                        int columnNumber)
                 throws org.xml.sax.SAXException

Method Detail

### getXSLToken

    public int getXSLToken()

  Overrides:
    getXSLToken in class ElemTemplateElement

### execute

    public void execute(XSLTEngineImpl processor,
                        org.w3c.dom.Node sourceTree,
                        org.w3c.dom.Node sourceNode,
                        QName mode)
                 throws XSLProcessorException,
                        java.net.MalformedURLException,
                        java.io.FileNotFoundException,
                        java.io.IOException,
                        org.xml.sax.SAXException

  Overrides:
    execute in class ElemTemplateElement

### getValue

    public XObject getValue(XSLTEngineImpl processor,
                            org.w3c.dom.Node sourceTree,
                            org.w3c.dom.Node sourceNode)
                     throws XSLProcessorException,
                            java.net.MalformedURLException,
                            java.io.FileNotFoundException,
                            java.io.IOException,
                            org.xml.sax.SAXException

  **For advanced use only** Get the XObject representation of the variable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.